-- delete all old table if they exist

DROP TABLE IF EXISTS package_controller_packages;
DROP TABLE IF EXISTS package_controller_templates;
DROP TABLE IF EXISTS package_controller_modules;
DROP TABLE IF EXISTS package_controller_public_packages;

-- create packages table

CREATE TABLE package_controller_packages (
	id INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
	url VARCHAR(255),
	name VARCHAR(255),
	repository VARCHAR(255),
	description VARCHAR(255),
	status TINYINT NOT NULL DEFAULT 1
);


-- create templates table

CREATE TABLE package_controller_templates (
	id INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
	name VARCHAR(255) NOT NULL,
	package_id INT,
	author VARCHAR(255),
	company VARCHAR(255),
	website VARCHAR(255),
	description VARCHAR(255),
	requirements VARCHAR(255),
	attributes VARCHAR(255),
	status TINYINT NOT NULL DEFAULT 1
);

-- create modules table

CREATE TABLE package_controller_modules (
	id INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
	name VARCHAR(255) NOT NULL,
	package_id INT,
	author VARCHAR(255),
	company VARCHAR(255),
	website VARCHAR(255),
	description VARCHAR(255),
	requirements VARCHAR(255),
	attributes VARCHAR(255),
	status TINYINT NOT NULL DEFAULT 1
);


-- create public packages

CREATE TABLE package_controller_public_packages (
	id INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
	url VARCHAR(255),
	name VARCHAR(255),
	repository VARCHAR(255),
	description VARCHAR(255),
	status TINYINT NOT NULL DEFAULT 1
);

-- insert the public novinet package

INSERT INTO package_controller_public_packages (url,name,repository,description) VALUES ('https://redaxo.novinet.de/packages/onepager/OnePager.zip','novinet OnePager','https://github.com/nukeurself/OnePager','One Pager Paket mit vielen Modulen. Das Template besteht aus Fixed Header und Always On The Bottom Footer. Mobil durch Bootstrap Layout.');
