<?php 
// sub klasse von packageControllerParent
class packageControllerTemplate extends packageControllerTable {
    public static $attributes = ["name", "package_id", "author", "company", "website", "description", "requirements", "attributes"];
    public static $table = "package_controller_templates";

    public function __construct($id=null) {
        parent::__construct($id);
    }

    // überschreibe packageControllerTable´s delete weil auch der ordner gelöscht wird
    public function delete($path = "") {
        if(!$path) return;
        parent::delete();
    
        $template_path = $path . "[" . $this->getValue("id") . "] " . $this->getValue("name"); 
        if(is_dir($template_path)) {
            rex_dir::delete($template_path);
        }
    }

      // überschreibe getList damit zusätlich noch der package name mit gesendet wird
      public static function getList() {
        // get List from parent
        $result = parent::getList();
        $newResult = [];

        // durchlaufe alle items
        foreach($result as $item) {
            $id = $item["package_id"];

            if(!$id) throw new Exception("a template in table ".static::$table." has no package id");
            
            $package = new packageControllerPackage(intval($id));
            $item["package_name"] = $package->getValue("name");
            array_push($newResult, $item);
        }

        return $newResult;
    } 
}